> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Get Company Deals

GET https://api.filesearch.dev/v2/datasets/odyssey/companies/{company_id}/deals

Get a company's deal history (acquisitions and funding rounds).

**Headers:**

* `Authorization`: Bearer \{api\_key}
* `X-Organization-ID`: Organization UUID

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/companies/companies-deals

## Request

### Path parameters

- `company_id` (string, required) — Company entity ID or identifier

## Response

### 200

Successful Response

- `entity_id` (string, required)
- `data_sources` (list of string, optional)
- `deals` (list of CompanyDeal, optional)
- `total_count` (integer, optional, default: 0)

## Errors

### 404 Not Found Error

Company not found

- `error` (string, required)
- `message` (string, required)
- `details` (ErrorResponseV2Details, optional, nullable)
- `path` (string, optional, nullable)
- `success` (boolean, optional, default: false)

### 500 Internal Server Error

Internal server error

- `error` (string, required)
- `message` (string, required)
- `details` (ErrorResponseV2Details, optional, nullable)
- `path` (string, optional, nullable)
- `success` (boolean, optional, default: false)

### 501 Not Implemented Error

Deals data not yet implemented

- `error` (string, required)
- `message` (string, required)
- `details` (ErrorResponseV2Details, optional, nullable)
- `path` (string, optional, nullable)
- `success` (boolean, optional, default: false)

## Types

### CompanyDeal

A deal (funding round or acquisition) for a company.

- `deal_type` (string, required)
- `amount` (double, optional, nullable)
- `date` (string, optional, nullable)
- `investors` (list of string, optional)
- `round_name` (string, optional, nullable)
- `status` (string, optional, nullable)
- `target_company` (string, optional, nullable)

### ErrorResponseV2Details

## Examples

**Response**

```json
{
  "entity_id": "019e5ffb-550d-74b2-b4bb-84410a854f8d",
  "data_sources": [
    "enrichment"
  ],
  "deals": [
    {
      "deal_type": "funding_round",
      "amount": 18000000,
      "date": "2012-02-01",
      "investors": [
        "Sequoia"
      ],
      "round_name": "Series A",
      "status": "completed",
      "target_company": null
    },
    {
      "deal_type": "funding_round",
      "amount": 80000000,
      "date": "2014-01-01",
      "investors": [
        "Playfair Capital",
        "Sequoia"
      ],
      "round_name": "Series C",
      "status": "completed",
      "target_company": null
    }
  ],
  "total_count": 26
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/companies/stripe/deals",
    headers=headers,
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/companies/stripe/deals`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```